SEARCH
×
Thursday, December 29, 2016

As of January 1 computers that use Windows XP and / or an earlier version of Internet Explorer 9 will not be able to connect to applications provided by Caterpillar, including PCC, PartStore, VisionLink, SOS Web, and SIS.
Please contact your company's IT department for assistance in updating any operating systems or browsers you are using.

To view graphics in SISweb and place orders online you can upgrade to Internet Explorer 10 or use Google Chrome.

We are looking into what versions of Internet Explorer 9 may be compatible and will update this alert accordingly.